XML Schema API: Interface XSComplexTypeDefinition

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSComplexTypeDefinition

All Superinterfaces:
  XSObject, XSTypeDefinition

public interface XSComplexTypeDefinition
extends XSTypeDefinition

This interface represents the Complex Type Definition schema component.

Field Summary
`static short` | `CONTENTTYPE_ELEMENT` Represents an element-only content type.
`static short` | `CONTENTTYPE_EMPTY` Represents an empty content type.
`static short` | `CONTENTTYPE_MIXED` Represents a mixed content type.
`static short` | `CONTENTTYPE_SIMPLE` Represents a simple content type.

Fields inherited from interface org.apache.xerces.xs.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`boolean` | `getAbstract()` [abstract]: a boolean.
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`XSObjectList` | `getAttributeUses()` A set of attribute uses if it exists, otherwise an empty `XSObjectList`.
`XSWildcard` | `getAttributeWildcard()` An attribute wildcard if it exists, otherwise `null`.
`short` | `getContentType()` [content type]: one of empty (`CONTENTTYPE_EMPTY`), a simple type definition (`CONTENTTYPE_SIMPLE`), mixed ( `CONTENTTYPE_MIXED`), or element-only ( `CONTENTTYPE_ELEMENT`).
`short` | `getDerivationMethod()` [derivation method]: either `DERIVATION_EXTENSION`, `DERIVATION_RESTRICTION`, or `DERIVATION_NONE` (see `XSConstants`).
`XSParticle` | `getParticle()` A particle for a mixed or element-only content model, otherwise `null`.
`short` | `getProhibitedSubstitutions()` [prohibited substitutions]: A subset of {extension, restriction} or `DERIVATION_NONE` represented as a bit flag (see `XSConstants`).
`XSSimpleTypeDefinition` | `getSimpleType()` A simple type definition corresponding to a simple content model, otherwise `null`.
`boolean` | `isProhibitedSubstitution(short restriction)` [prohibited substitutions]: a subset of {extension, restriction}

Methods inherited from interface org.apache.xerces.xs.XSTypeDefinition
`derivedFrom, derivedFromType, getAnonymous, getBaseType, getFinal, getTypeCategory, isFinal`

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### CONTENTTYPE_EMPTY

    public static final short CONTENTTYPE_EMPTY

  Represents an empty content type. A content type with the distinguished value empty validates elements with no character or element information item children.

### CONTENTTYPE_SIMPLE

    public static final short CONTENTTYPE_SIMPLE

  Represents a simple content type. A content type which is simple validates elements with character-only children.

### CONTENTTYPE_ELEMENT

    public static final short CONTENTTYPE_ELEMENT

  Represents an element-only content type. An element-only content type validates elements with children that conform to the supplied content model.

### CONTENTTYPE_MIXED

    public static final short CONTENTTYPE_MIXED

  Represents a mixed content type.

Method Detail

### getDerivationMethod

    public short getDerivationMethod()

  [derivation method]: either `DERIVATION_EXTENSION`, `DERIVATION_RESTRICTION`, or `DERIVATION_NONE` (see `XSConstants`).

### getAbstract

    public boolean getAbstract()

  [abstract]: a boolean. Complex types for which `abstract` is true must not be used as the type definition for the validation of element information items.

### getAttributeUses

    public XSObjectList getAttributeUses()

  A set of attribute uses if it exists, otherwise an empty `XSObjectList`.

### getAttributeWildcard

    public XSWildcard getAttributeWildcard()

  An attribute wildcard if it exists, otherwise `null`.

### getContentType

    public short getContentType()

  [content type]: one of empty (`CONTENTTYPE_EMPTY`), a simple type definition (`CONTENTTYPE_SIMPLE`), mixed ( `CONTENTTYPE_MIXED`), or element-only ( `CONTENTTYPE_ELEMENT`).

### getSimpleType

    public XSSimpleTypeDefinition getSimpleType()

  A simple type definition corresponding to a simple content model, otherwise `null`.

### getParticle

    public XSParticle getParticle()

  A particle for a mixed or element-only content model, otherwise `null`.

### isProhibitedSubstitution

    public boolean isProhibitedSubstitution(short restriction)

  [prohibited substitutions]: a subset of {extension, restriction}
  Parameters:
    `restriction` - Extension or restriction constants (see `XSConstants`).
  Returns:
    True if `restriction` is a prohibited substitution, otherwise false.

### getProhibitedSubstitutions

    public short getProhibitedSubstitutions()

  [prohibited substitutions]: A subset of {extension, restriction} or `DERIVATION_NONE` represented as a bit flag (see `XSConstants`).

### getAnnotations

    public XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.